function tree=tree2lst_nosort(a)
% chtreetype converts adjacency matrix of a tree to structure array
% tree(i) with fields ch-arrays of childrens of the i-th node
if nargin~=1
    error('incorrect number of input arguments');
end
if nargout~=1
    error('incorrect number of output arguments');
end    
n=size(a,1);
tree=[];
nl=0;
    for i=1:n
        for j=1:n %%% Bulo j=i:n
            
            if  abs(a(i,j))~=inf
                value=a(i,j);
                tree=[tree;i,j,value];
            end
        end
    end